/* InstLang.cmd - Install language support for ConfigTool */

IF RxFuncQuery('SysLoadFuncs') THEN DO
    CALL RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
    CALL SysLoadFuncs
END

CALL SysCls
prgname = 'ConfigTool 1.1.0'
IF STREAM('CFGTOOL.INI','C','QUERY EXISTS') = "" THEN DO
    SAY 'Problem! CFGTOOL.INI file does not exist.'
    SAY 'Did you install '||prgname||'?'
    SAY 'Press Enter to exit and correct error.'
    PULL answer
    Exit
END

SAY 'This procedure will add Language support for '||prgname
SAY '- Croatian, German, French, Russian and Swedish.'
SAY 'Press "Y" (and Enter) to start Installation, Enter to exit...'
PARSE PULL answer

IF TRANSLATE(LEFT(answer,1)) <> "Y" THEN DO
    SAY 'Installation aborted'
    Exit
END

SAY ' '
CALL SysIni 'CFGTOOL.INI', 'Language', 'CROATIAN', 'English.inf'
CALL SysIni 'CFGTOOL.INI', 'Language', 'FRENCH', 'English.inf'
CALL SysIni 'CFGTOOL.INI', 'Language', 'GERMAN', 'English.inf'
CALL SysIni 'CFGTOOL.INI', 'Language', 'RUSSIAN', 'Russian.inf'
CALL SysIni 'CFGTOOL.INI', 'Language', 'SWEDISH', 'Swedish.inf'

SAY ' '
CALL SysDestroyObject '<CONFIGTOOL_HSWE>'
CALL SysDestroyObject '<CONFIGTOOL_HRUS>'
InstallDir = Directory()
WorkDir = Directory()

ProgTitle = prgname||'^Russian manual'
EXE = 'View.exe'
INF = 'Russian.inf'
Setup = 'OBJECTID=<CONFIGTOOL_HRUS>;EXENAME='EXE';PARAMETERS='InstallDir'\'INF';STARTUPDIR='WorkDir''
Action = 'U'
dummy = SysCreateObject('WPProgram',ProgTitle,'<GISYSTOOLS_HELP>',Setup,Action)
SAY 'Creating '||prgname||' Russian manual - '||Rc2(dummy)

ProgTitle = prgname||'^Swedish manual'
EXE = 'View.exe'
INF = 'Swedish.inf'
Setup = 'OBJECTID=<CONFIGTOOL_HSWE>;EXENAME='EXE';PARAMETERS='InstallDir'\'INF';STARTUPDIR='WorkDir''
Action = 'U'
dummy = SysCreateObject('WPProgram',ProgTitle,'<GISYSTOOLS_HELP>',Setup,Action)
SAY 'Creating '||prgname||' Swedish manual - '||Rc2(dummy)

SAY ' '
SAY 'Installation finished! Press Enter to exit ...'
PULL answer
CALL SysCls
RETURN /* End of InstallMe */

RETURN /* End of UnInstallMe */

/* Rc2 - return code - SysCreateObject */

Rc2:        PROCEDURE

PARSE ARG rcSysCreateObject
SELECT
    WHEN rcSysIni = 0 THEN rc2 = 'Error'
    OTHERWISE rc2 = 'OK'
END
RETURN rc2 /* End of Rc2 */
